<?php
/**
 * SEF component for Joomla!
 * 
 * @package   JoomSEF
 * @version   4.5.2
 * @author    ARTIO s.r.o., http://www.artio.net
 * @copyright Copyright (C) 2014 ARTIO s.r.o. 
 * @license   GNU/GPLv3 http://www.artio.net/license/gnu-general-public-license
 */

defined('_JEXEC') or die('Restricted access');

// XML definition file
$this->_addFileOp('/administrator/components/com_sef/sef.xml', 'upgrade', '/sef.xml');
$this->_addFileOp('/administrator/components/com_sef/classes/seftools.php', 'upgrade', '/admin/classes/seftools.php');
$this->_addFileOp('/administrator/components/com_sef/views/info/tmpl/changelog.inc.html', 'upgrade', '/admin/views/info/tmpl/changelog.inc.html');
$this->_addFileOp('/administrator/components/com_sef/views/info/tmpl/readme.inc.html', 'upgrade', '/admin/views/info/tmpl/readme.inc.html');

// Admin files
$this->_addFileOp('/administrator/components/com_sef/models/extension.php', 'upgrade', '/admin/models/extension.php');
$this->_addFileOp('/administrator/components/com_sef/views/extension/view.html.php', 'upgrade', '/admin/views/extension/view.html.php');
$this->_addFileOp('/administrator/components/com_sef/views/extension/tmpl/default.php', 'upgrade', '/admin/views/extension/tmpl/default.php');

// Frontend files
$this->_addFileOp('/components/com_sef/joomsef.php', 'upgrade', '/site/joomsef.php');

// Language files
// We need to check every directory for existence and copy only the languages in use
if( JFolder::exists(JPATH_ROOT.'/administrator/language/en-GB') ) {
    $this->_addFileOp('/administrator/language/en-GB/en-GB.com_sef.ini', 'upgrade', '/admin/language/en-GB/en-GB.com_sef.ini');
}

if( JFolder::exists(JPATH_ROOT.'/administrator/language/cs-CZ') ) {
    $this->_addFileOp('/administrator/language/cs-CZ/cs-CZ.com_sef.ini', 'upgrade', '/admin/language/cs-CZ/cs-CZ.com_sef.ini');
}


// Table structure
$this->_addSQL("ALTER TABLE #__sefexttexts ADD lang_id int(5) NOT NULL DEFAULT '0'");

?>